#include <p18f252.h>
#include <stdlib.h>
#include <delays.h>
#include <usart.h>
#include "sht11.h"


#pragma code

void main (void) 
{
	unsigned int i;

	PORTA = 0;
	PORTB = 0;
	PORTC = 0;
	TRISA = 0; 
	TRISB = 0; 
	TRISC = 0;
	ADCON0 = 0;	// AD converter module shut off
	ADCON1 = 0x07;	// Digital IO's

	// Abre a USART
	OpenUSART( USART_TX_INT_OFF & USART_RX_INT_ON & USART_ASYNCH_MODE & USART_EIGHT_BIT & USART_CONT_RX & USART_BRGH_HIGH, 25);


	
	Delay10KTCYx(2);	//20ms antes de RESET do Sensirion, start up
	s_connectionreset();
	s_write_statusreg(0x03);	// low resolution
	
	while(1)
	{
		s_transstart(); //transmission start
		s_write_byte(MEASURE_TEMP);
		while (DATA);	//wait until SHT11 ends measurements
		WriteUSART(s_read_byte(ACK)); //read the first byte (MSB)
	    while(BusyUSART());
		WriteUSART(s_read_byte(noACK)); //read the second byte (LSB)

		s_transstart(); //transmission start
		s_write_byte(MEASURE_HUMI);
		while (DATA);	//wait until SHT11 ends measurements
		WriteUSART(s_read_byte(ACK)); //read the first byte (MSB)
	    while(BusyUSART());
		WriteUSART(s_read_byte(noACK)); //read the second byte (LSB)


/*	    while(BusyUSART());
		WriteUSART(\0);	// Line Feed
	    while(BusyUSART());
		WriteUSART(0x0d);	// Carriage Return
*/

		Delay10KTCYx(200);	//2seg
	}



}
#pragma code



#pragma romdata CONFIG
	_CONFIG_DECL (	/*_CP_OFF_1L ,*/
					_OSCS_OFF_1H & _OSC_XT_1H,
					_PWRT_ON_2L & _BOR_ON_2L & _BORV_42_2L,
					_WDT_OFF_2H & _WDTPS_1_2H,	
					_CCP2MUX_OFF_3H,
					_STVR_OFF_4L & _LVP_OFF_4L,
					_CONFIG5L_DEFAULT,
					_CONFIG5H_DEFAULT,
					_CONFIG6L_DEFAULT,
					_CONFIG6H_DEFAULT,
					_CONFIG7L_DEFAULT,
					_CONFIG7H_DEFAULT
					);
#pragma romdata 


